<?php
/*
 * $Id: icl_content.settings.inc,v 1.4 2009/02/04 05:34:45 brucepearson Exp $
 * 
 * @file Settings screen for icl_content
 */

/**
 * This is a page callback for the ICanLocalize Core admin page
 *
 * @return array The system settings form.
 */
function icl_content_admin_settings() {
  $form = array ();
  
  $form ['icl_content_translation'] = array(
    '#type' => 'fieldset',
    '#title' => t("Content translation"),
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
  );
  $form ['icl_content_translation']['icl_content_send_options'] = array (
      '#type' => 'radios', 
      '#title' => t ( 'Select the desired translation method' ), 
      '#multiple' => FALSE, 
      '#options' => array (
          ICL_CONTENT_SEND_MANUAL => t ( 'Manual only' ), 
          ICL_CONTENT_SEND_PROMPT => t ( 'Prompt on page submit or edit' ), 
          ICL_CONTENT_SEND_AUTOMATIC => t ( 'Automatically send on each edit' ) ), 
      '#default_value' => variable_get ( 'icl_content_send_options', ICL_CONTENT_SEND_MANUAL ), 
      '#description' => t ( 'Choose when translations will be sent to the ICanLocalize service' ) );
  
  $form ['icl_content_translation']['icl_content_delete_options'] = array (
      '#type' => 'radios', 
      '#title' => t ( 'Select the method to handle node deletetion for translated nodes' ), 
      '#multiple' => FALSE, 
      '#options' => array (
          ICL_CONTENT_DELETE_MANUAL => t ( 'I will delete the translations manually' ), 
          ICL_CONTENT_DELETE_AUTOMATIC => t ( 'Automatically delete all translations' ) ), 
      '#default_value' => variable_get ( 'icl_content_delete_options', ICL_CONTENT_DELETE_MANUAL ), 
      '#description' => t ( 'Choose how the system will handle node deletion' ) );
  
  $form ['icl_content_translation']['icl_content_update_links_options'] = array (
      '#type' => 'radios', 
      '#title' => t ( 'Update links to internal pages so that translations link to other translations and not to original language nodes' ), 
      '#multiple' => FALSE, 
      '#options' => array (
          ICL_CONTENT_UPDATE_LINKS => t ( 'Update links' ), 
          ICL_CONTENT_DONT_UPDATE_LINKS => t ( "Don't update links" ) ), 
      '#default_value' => variable_get ( 'icl_content_update_links_options', ICL_CONTENT_UPDATE_LINKS ), 
      '#description' => t ( 'Example: Supposing /node/X is in English and /es/node/Y is the corresponding node in Spanish. When we translate a page in English that links to /node/X the translation should link to /es/node/Y.' ) );
  
  $form ['icl_content_comments'] = array(
    '#type' => 'fieldset',
    '#title' => t("Comment translation"),
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
  );
  
  $form ['icl_content_comments']['icl_content_comment_view'] = array(
    '#type' => 'checkbox',
    '#title' => t("Translate comments when viewing"),
    '#default_value' => variable_get ('icl_content_comment_view', 1),
    '#description' => t("Use Google AJAX Language API to view comments in translated content in the original language."),
  );

  $form ['icl_content_comments']['icl_content_comment_translate_replies'] = array(
    '#type' => 'checkbox',
    '#title' => t("Translate my replies"),
    '#default_value' => variable_get ('icl_content_comment_translate_replies', 1),
    '#description' => t("Translate replies when replying to a comment on translated content."),
  );

  return system_settings_form ( $form );
}